<?php
/**
 * Header Options
 *
 * @package Millennium News
 */

$wp_customize->add_section(
	'millennium_news_header_options',
	array(
		'panel' => 'millennium_news_theme_options',
		'title' => esc_html__( 'Header Options', 'millennium-news' ),
	)
);

// Header Options - Header Button Custom Label.
$wp_customize->add_setting(
	'millennium_news_header_custom_button_label',
	array(
		'default'           => __( 'Subscribe', 'millennium-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'millennium_news_header_custom_button_label',
	array(
		'label'    => esc_html__( 'Header Custom Button', 'millennium-news' ),
		'section'  => 'millennium_news_header_options',
		'settings' => 'millennium_news_header_custom_button_label',
		'type'     => 'text',
	)
);

// Header Options - Header Button Custom URL.
$wp_customize->add_setting(
	'millennium_news_header_custom_button_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'millennium_news_header_custom_button_url',
	array(
		'label'    => esc_html__( 'Button Link', 'millennium-news' ),
		'section'  => 'millennium_news_header_options',
		'settings' => 'millennium_news_header_custom_button_url',
		'type'     => 'url',
	)
);
